Home

# Class goog.fs.Entry

The abstract class for entries in the filesystem.

Instance Method Summary
| `copyTo(!goog.fs.DirectoryEntry parent, string= opt_newName) ⇒ !goog.async.Deferred` Copy this entry to a new location.
| `getFileSystem() ⇒ !goog.fs.FileSystem`
| `getFullPath() ⇒ string`
| `getLastModified() ⇒ !goog.async.Deferred` Retrieves the last modified date for this entry.
| `getName() ⇒ string`
| `getParent() ⇒ !goog.async.Deferred` Gets the parent directory.
| `isDirectory() ⇒ boolean`
| `isFile() ⇒ boolean`
| `moveTo(!goog.fs.DirectoryEntry parent, string= opt_newName) ⇒ !goog.async.Deferred` Move this entry to a new location.
| `remove() ⇒ !goog.async.Deferred` Remove this entry.
| `toUrl(string= opt_mimeType) ⇒ string` Get the URL for this file.
| `wrapEntry(!Entry entry) ⇒ !goog.fs.Entry` Wrap an HTML5 entry object in an appropriate subclass instance.